Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Member Functions | Protected Member Functions | List of all members
Rfc822Header Class Reference

RFC822 header class object. More...

`#include <header.h>`

Inheritance diagram for Rfc822Header:

## Public Member Functions

bool | hasField (const std::string &) const
const Field & | field (const std::string &) const
Field & | field (const std::string &)
const Mailbox & | sender () const
Mailbox & | sender ()
void | sender (const Mailbox &)
const MailboxList & | from () const
MailboxList & | from ()
void | from (const MailboxList &)
const AddressList & | to () const
AddressList & | to ()
void | to (const AddressList &)
const std::string & | subject () const
std::string & | subject ()
void | subject (const std::string &)
const AddressList & | replyto () const
AddressList & | replyto ()
void | replyto (const AddressList &)
const AddressList & | cc () const
AddressList & | cc ()
void | cc (const AddressList &)
const AddressList & | bcc () const
AddressList & | bcc ()
void | bcc (const AddressList &)
const MessageId & | messageid () const
MessageId & | messageid ()
void | messageid (const MessageId &)

## Protected Member Functions

template<typename T>
const T & | getField (const std::string &) const
template<typename T>
T & | getField (const std::string &)
template<typename T>
void | setField (const std::string &, const T &)

## Detailed Description

RFC822 header class object.

Use this class to build or parse message header fields. This is a STL container so you can browse fields using iterators(see ex. below).

See also
  RFC822

The documentation for this class was generated from the following file:

- rfc822/header.h